Bug 247367 - Integrate system-config-users with sudo
Integrate system-config-users with sudo
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-07 20:07 EDT by Steven Berry
Modified: 2009-12-16 05:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-16 05:26:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Berry 2007-07-07 20:07:26 EDT
Description of problem:
FutureFeature

user manager in fedora has the ability to create/delete users groups - but there
is no integration with sudoers file, 

my suggestion is to allow individual users being created to be added to sudoers
file with a simple check box integrated into the UI. 

if anything by any means - it will simplify one terribly common step of adding
sudoers users by hand - even if it's as simple as. 

echo 'userid ALL=(ALL) NOPASSWD:ALL' >> /etc/sudoers
Additional info:

since sudoers file contains several options, it could also be configured with
those options individually - if not an enhancement, this is a great added value
to the extremely useful user manager application (system-config-users)
Comment 1 Bug Zapper 2008-05-14 09:27:10 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Nils Philippsen 2009-12-16 05:26:55 EST
Sudo goes much beyond simply allowing normal users to execute all programs as root, to top it off it even has its own idea of groups. Making system-config-users able to grant specific access rights to users would be okay, but if it doesn't understand the whole picture it would eventually present incomplete or even wrong information to the user (e.g. "user is not allowed to use sudo" when in reality a limited set of commands is permitted) which is not acceptable IMO. So s-c-users would need to understand /etc/sudoers completely which would be a lot of work with rather limited use: while many use sudo, only few use more than a basic subset of its features, which makes this task not worthwhile to me. Mind that I'm not against such a feature per se -- patches are welcome, though this functionality might be better of in its own tool.

Note You need to log in before you can comment on or make changes to this bug.